# Scan codes are in decimal
# See here: https://www.millisecond.com/support/docs/v6/html/language/scancodes.htm

[[button]]
name = "quit"
scan_code = 1

[[button]]
name = "toggle_edit"
scan_code = 59

[[button]]
name = "reload_shaders"
scan_code = 63

[[button]]
name = "print_framerate"
scan_code = 33

[[button]]
name = "button_forward"
scan_code = 17

[[button]]
name = "button_backward"
scan_code = 31

[[button]]
name = "button_left"
scan_code = 30

[[button]]
name = "button_right"
scan_code = 32

[[button]]
name = "test"
scan_code = 20

[[button]]
name = "quicksave"
scan_code = 63

[[button]]
name = "quickload"
scan_code = 64

[[button]]
name = "select"
mouse = "left"

[[axis]]
name = "move_forward"
positive_button = "button_forward"
negative_button = "button_backward"

[[axis]]
name = "move_forward"
mouse_axis = "wheel"

[[axis]]
name = "move_forward"
controller_axis = "LeftStickY"

[[axis]]
name = "move_sideways"
positive_button = "button_right"
negative_button = "button_left"

[[axis]]
name = "move_sideways"
controller_axis = "LeftStickX"

[[axis]]
name = "look_horizontal"
mouse_axis = "x"

[[axis]]
name = "look_horizontal"
controller_axis = "RightStickX"

[[axis]]
name = "look_vertical"
mouse_axis = "y"

[[axis]]
name = "look_vertical"
controller_axis = "RightStickY"

[config]
line_height_px = 16